Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Tue, 16 Aug 2022 11:30:18 +0000

>>> Cache existence is not guaranteed.
>>
>> Can that cache not be created unconditionally when the Org file is 
>> opened?
>
> Without cache, the parser will have to process everything on every 
> request to determine object at point.
>

I'm not sure I understand what you mean?  If the cache is created when the 
Org file is opened and updated when necessary, its existence becomes 
guaranteed, no?